/*******************************************************************************
  * @file                   can.h
  * @author:                MQjehovah                 mail:MQjehovah@hotmail.com
  * @version                1.0.0
  * @date                   2020.0.23
  * @brief                  
  ******************************************************************************
  * @attention
*******************************************************************************/
#ifndef __CAN_H
#define __CAN_H
/* Includes ------------------------------------------------------------------*/
#include "stm32f10x_conf.h"
/* Definition ----------------------------------------------------------------*/
#define CAN_RX0_INT_ENABLE //使能CAN接收中断

typedef struct
{
  u32 id;
  u8 dlc;
  u8 extend; //0：标准帧 1：拓展帧
  u8 remote; //0：数据帧 1：远程帧
  u8 data[8];
} can_message_t;

/* Exported Functions --------------------------------------------------------*/
// extern can_message_t can_tx_message;
// extern can_message_t can_rx_message;
extern CanTxMsg TxMessage;
extern CanRxMsg RxMessage;

void CAN1_Config(void);
u8 can_send_message(u32 id, u8 dlc, u8 *data);

#endif
/*********************************END OF FILE**********************************/
